Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.commands
Class AddAttachmentCommand

    java.lang.Object
      org.jbpm.services.task.commands.TaskCommand<T>
          org.jbpm.services.task.commands.UserGroupCallbackTaskCommand<Long>
              org.jbpm.services.task.commands.AddAttachmentCommand

All Implemented Interfaces:
  Serializable, org.drools.core.command.impl.GenericCommand<Long>, Command<Long>

    public class AddAttachmentCommand

extends UserGroupCallbackTaskCommand<Long>

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jbpm.services.task.commands.TaskCommand
`DESCRIPTION_PROPERTY, EXPIRATION_DATE_PROPERTY, FAULT_PROPERTY, groupsIds, OUTPUT_PROPERTY, PRIORITY_PROPERTY, SKIPPABLE_PROPERTY, SUB_TASK_STRATEGY_PROPERTY, targetEntityId, TASK_NAMES_PROPERTY, userId`

Constructor Summary
`AddAttachmentCommand()`
`AddAttachmentCommand(Long taskId, Attachment attachment, Content content)`

Method Summary
`Long` | `execute(org.kie.internal.command.Context cntxt)`
`Attachment` | `getAttachment()`
`Content` | `getContent()`
`JaxbAttachment` | `getJaxbAttachment()`
`JaxbContent` | `getJaxbContent()`
`Long` | `getTaskId()`
`void` | `setAttachment(Attachment attachment)`
`void` | `setContent(Content content)`
`void` | `setJaxbAttachment(JaxbAttachment jaxbAttachment)`
`void` | `setJaxbContent(JaxbContent jaxbContent)`
`void` | `setTaskId(Long taskId)`

Methods inherited from class org.jbpm.services.task.commands.UserGroupCallbackTaskCommand
`addGroupFromCallbackOperation, addUserFromCallbackOperation, doCallbackGroupOperation, doCallbackGroupsOperation, doCallbackOperationForAttachment, doCallbackOperationForComment, doCallbackOperationForPeopleAssignments, doCallbackOperationForPotentialOwners, doCallbackOperationForTaskData, doCallbackOperationForTaskDeadlines, doCallbackUserOperation, doUserGroupCallbackOperation, filterGroups, persistIfNotExists`

Methods inherited from class org.jbpm.services.task.commands.TaskCommand
`getGroupsIds, getTargetEntityId, getUserId, setGroupsIds, setTargetEntityId, setUserId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AddAttachmentCommand

    public AddAttachmentCommand()

### AddAttachmentCommand

    public AddAttachmentCommand(Long taskId,
                                Attachment attachment,
                                Content content)

Method Detail

### execute

    public Long execute(org.kie.internal.command.Context cntxt)

  Specified by:
    `execute` in interface `org.drools.core.command.impl.GenericCommand<Long>`
  Overrides:
    `execute` in class `UserGroupCallbackTaskCommand<Long>`

### getTaskId

    public Long getTaskId()

  Overrides:
    `getTaskId` in class `TaskCommand<Long>`

### setTaskId

    public void setTaskId(Long taskId)

  Overrides:
    `setTaskId` in class `TaskCommand<Long>`

### setAttachment

    public void setAttachment(Attachment attachment)

### getJaxbAttachment

    public JaxbAttachment getJaxbAttachment()

### setJaxbAttachment

    public void setJaxbAttachment(JaxbAttachment jaxbAttachment)

### getJaxbContent

    public JaxbContent getJaxbContent()

### setJaxbContent

    public void setJaxbContent(JaxbContent jaxbContent)

### getContent

    public Content getContent()

### setContent

    public void setContent(Content content)

### getAttachment

    public Attachment getAttachment()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.